Disabling Compatibility View / Mode Error Popup Message and Compatibility View / Mode Supportability (Doc ID 1522381.1)

Last updated on MAY 11, 2017

Applies to:

Oracle WebCenter Portal - Version 11.1.1.6.0 to 11.1.1.9.8 [Release 11g]
Information in this document applies to any platform.

Goal

In WebCenter spaces 11.1.1.x, when viewing the pages using IE 8 or higher with Compatibility View settings set, a popup message is shown:

The current compatibility setting is not supported. Disable Compatibility View before running this web page.

 
Is there anyway this message can be disabled?

 

Note that:

Compatibility View / Mode is NOT supported nor recommended and issues that may occur from the usage of Compatibility View / Mode.

You may refer to:
http://www.oracle.com/technetwork/developer-tools/jdev/documentation/index-091111.html#Browsers
"For Internet Explorer 8, 9, and 10, only Native mode is supported. View Compatibility mode should be disabled."

Nonetheless, the suppression of the pop up could help to mask the issue from some users.
Oracle has acknowledge such limitation and provided a workaround to be used wisely.

Such means that whenever are UI issues being reported that cannot be reproduced in a fully supported configuration (eg, Native mode), you may be asked to attempt to reproduce your issue with Compatability View / Mode turned off to verify that the problem being reported is not directly related to the Compatibility Mode / View setting. This will be necessary because many UI issues have been found while running with Compatibility View / Mode turned on.

 

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms